<div class="col-6 offset-1 my-5" @Fading>
  <h2>Loguéate</h2>
  <hr>
  <div class="card p-3">
    <form #loginForm="ngForm" (ngSubmit)="onSubmit(loginForm)">
      <div class="form-group">
        <label for="email">E-Mail</label>
        <input type="email" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control"
          pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required>
        <small class="invalid-feedback d-block" *ngIf="email.invalid && email.touched">El E-mail no es válido</small>
      </div>
      <div class="form-group">
        <label for="password">Contraseña</label>
        <input type="password" id="password" name="password" #password="ngModel" [(ngModel)]="user.password"
          class="form-control" pattern=".{4,}" required>
        <small class="invalid-feedback d-block" *ngIf="password.invalid && password.touched">La contraseña debe tener 4
          caracteres</small>
      </div>
      <div class="form-group">
        <button type="submit" class="btn btn-primary" [disabled]="loginForm.form.invalid">Entrar</button>
      </div>
    </form>
  </div>
  <div class="text-center mt-3">si no estás registrado, <a routerLink="/register">Regístrate aquí</a></div>
  <div class="alert" [ngClass]="status==true ? 'alert-success': 'alert-danger'" *ngIf="message">{{message}}</div>
</div>